#execute at @a[nbt={SelectedItem:{id:"minecraft:command_block_minecart"}},scores={cooldown=0}] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~
#execute at @a[nbt={Inventory:[{id:"minecraft:command_block_minecart",Slot:-106b}]},scores={cooldown=0}] run playsound minecraft:entity.experience_orb.pickup master @a ~ ~ ~

#item replace entity @a[nbt={SelectedItem:{id:"minecraft:command_block_minecart"}},scores={cooldown=0}] weapon.mainhand with minecraft:carrot_on_a_stick{Enchantments:[{id:"unbreaking"}]}
#execute as @a run execute unless score @s cooldown matches 0 run item replace entity @s[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick"}}] weapon.mainhand with minecraft:command_block_minecart

#item replace entity @a[nbt={Inventory:[{id:"minecraft:command_block_minecart",Slot:-106b}]},scores={cooldown=0}] weapon.offhand with minecraft:carrot_on_a_stick{Enchantments:[{id:"unbreaking"}]}
#execute as @a run execute unless score @s cooldown matches 0 run item replace entity @s[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:-106b}]}] weapon.offhand with minecraft:command_block_minecart

#execute as @a run execute unless score @s cooldown matches 0 run scoreboard players remove @s cooldown 1

#execute as @a run execute unless score @s oldclick = @s click run function leatherpack:click
#execute as @a run scoreboard players operation @s oldclick = @s click

#---------------------------------------------------------

execute as @a[scores={duality=1}] run function duality:start
execute as @a[scores={duality=1}] run scoreboard players set @s duality 0

execute as @e run execute store result score @s y run data get entity @s Pos[1]

execute store result score @a daytime run time query daytime

execute as @a[scores={nightslain=0}] run execute as @a[nbt={Dimension:"minecraft:overworld"},scores={daytime=12000,cs=1}] run tellraw @s "You should head underground..."
execute as @a[scores={dayslain=0}] run execute as @a[nbt={Dimension:"minecraft:overworld"},scores={daytime=23999,cs=1}] run tellraw @s "You should head to the surface..."
execute as @a[nbt=!{Dimension:"minecraft:overworld"}] run worldborder warning distance 0
execute as @a[scores={y=..50}] run worldborder warning distance 0
execute as @a[scores={y=60..}] run worldborder warning distance 0
execute as @a[nbt={Dimension:"minecraft:overworld"},scores={y=50..60}] run worldborder warning distance 1000000000

execute as @a[scores={dayslain=0}] run execute as @a[nbt={Dimension:"minecraft:overworld"},scores={y=..50,daytime=1000..12000,cs=1}] run effect give @s minecraft:wither 1 1 true
execute as @a[scores={nightslain=0}] run execute as @a[nbt={Dimension:"minecraft:overworld"},scores={y=60..,daytime=13000..,cs=1}] run effect give @s minecraft:wither 1 1 true

execute as @a[scores={nightslain=0}] run effect give @s[nbt={Dimension:"minecraft:overworld"},scores={y=60..,daytime=13000..,cs=1}] minecraft:blindness 2
execute as @a[scores={dayslain=0}] run effect give @s[nbt={Dimension:"minecraft:overworld"},scores={y=..50,daytime=1000..12000,cs=1}] minecraft:night_vision 2
execute as @a[scores={dayslain=0}] run effect give @s[nbt={Dimension:"minecraft:overworld"},scores={y=..50,daytime=1000..12000,cs=1}] minecraft:glowing 2

execute as @e[type=spectral_arrow,scores={y=60..}] run data merge entity @s {Motion:[0d,3d,0d]}
execute as @e[type=spectral_arrow,scores={y=320..}] run function duality:sunsummon
execute as @e[type=item,nbt={Item:{id:"minecraft:command_block_minecart", Count:1b}}] run execute at @s run execute if block ~ ~-1 ~ minecraft:bedrock run function duality:voidsummon

execute as @e[type=giant] at @s run particle minecraft:wax_off ~ ~3 ~ 3 3 3 10 300

execute as @e[tag=Meteor,nbt={OnGround:1b}] at @s unless block ~ ~-1 ~ air run summon tnt
execute as @e[tag=Meteor,nbt={OnGround:1b}] at @s unless block ~ ~-1 ~ air run kill

execute at @e[type=minecraft:area_effect_cloud,tag=meteor] run particle minecraft:flame ~ ~ ~ 0 0 0 0.05 50

execute as @a at @s if score @s nightslain matches 0 run fill ~4 ~4 ~4 ~-4 ~-4 ~-4 air replace minecraft:nether_portal
execute as @a at @s if score @s dayslain matches 0 run fill ~4 ~4 ~4 ~-4 ~-4 ~-4 air replace minecraft:nether_portal

execute as @a at @s if score @s nightslain matches 0 run fill ~4 ~4 ~4 ~-4 ~-4 ~-4 air replace minecraft:end_portal
execute as @a at @s if score @s dayslain matches 0 run fill ~4 ~4 ~4 ~-4 ~-4 ~-4 air replace minecraft:end_portal

execute at @e[tag=whoosh] run summon area_effect_cloud ~ ~ ~ {Duration:61,Tags:["boom"]}
execute at @e[tag=whoosh] run playsound minecraft:ui.toast.in master @a ~ ~ ~ 1 2
execute at @e[tag=boom,nbt={Age:60}] run summon tnt

execute at @e[tag=boom] run particle minecraft:crit ~ ~0.5 ~ 0 0 0 0.01 5 force

execute as @e[tag=x] run execute at @s run tp ~2 ~ ~
execute as @e[tag=z] run execute at @s run tp ~ ~ ~2

#execute at @s run summon minecraft:area_effect_cloud ~-40 ~ ~ {Duration:80,Tags:["x","whoosh"]}
#execute at @s run summon minecraft:area_effect_cloud ~ ~ ~-40 {Duration:80,Tags:["z","whoosh"]}

execute as @e[type=wither] at @s run particle minecraft:smoke ~ ~ ~ 0 0 0 0.25 50

execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star", Count:1b}}] run function duality:nightslain

execute as @e[type=giant] run effect give @a resistance 2
execute as @e[type=wither] run effect give @a resistance 2

execute at @e[nbt={ArmorItems:[{},{},{},{id:"minecraft:magma_block",Count:1b}]}] run particle minecraft:flame ~ ~1 ~ 0.2 0.2 0.2 0.1 30 force